- update to 10.28

- regenerated man pages
- sync .security, .security2, .badlink, .libpm, .gcc4 patches
- drop upstreamed .pngtopnm, .pnmcolormap patches
This commit is contained in:
Jindrich Novy 2005-06-10 09:16:43 +00:00
parent 0d76dad45c
commit 31e3065262
5 changed files with 341 additions and 387 deletions

View File

@ -8,3 +8,5 @@ netpbm-10.26.4.tar.bz2
netpbmdoc-10.26.4.tar.bz2 netpbmdoc-10.26.4.tar.bz2
netpbm-10.27.tar.bz2 netpbm-10.27.tar.bz2
netpbmdoc-10.27.tar.bz2 netpbmdoc-10.27.tar.bz2
netpbm-10.28.tar.bz2
netpbmdoc-10.28.tar.bz2

View File

@ -1,5 +1,5 @@
--- netpbm-10.27/converter/other/anytopnm.security2 2004-10-13 17:05:53.000000000 +0200 --- netpbm-10.28/converter/other/anytopnm.security2 2005-05-27 00:10:39.000000000 +0200
+++ netpbm-10.27/converter/other/anytopnm 2005-03-29 14:03:43.449904176 +0200 +++ netpbm-10.28/converter/other/anytopnm 2005-06-10 09:42:48.609492080 +0200
@@ -522,11 +522,7 @@ else @@ -522,11 +522,7 @@ else
inputFile="-" inputFile="-"
fi fi
@ -8,7 +8,7 @@
-mkdir $tempdir || { echo "Could not create temporary file. Exiting."; exit 1;} -mkdir $tempdir || { echo "Could not create temporary file. Exiting."; exit 1;}
-chmod 700 $tempdir -chmod 700 $tempdir
- -
-trap 'rm -rf $tempdir' 0 1 3 15 -trap 'rm -rf $tempdir' 0
+tempdir=$(mktemp -d -t anytopnm.XXXXXXXXXX) || exit 1 +tempdir=$(mktemp -d -t anytopnm.XXXXXXXXXX) || exit 1
findAwk; findAwk;
@ -31,23 +31,8 @@
+fi +fi
+ +
exit 0 exit 0
--- netpbm-10.27/converter/ppm/ppmtompeg/parallel.c.security2 2005-03-05 06:07:50.000000000 +0100 --- netpbm-10.28/editor/ppmfade.security2 2005-03-16 22:10:39.000000000 +0100
+++ netpbm-10.27/converter/ppm/ppmtompeg/parallel.c 2005-03-29 14:03:43.452903720 +0200 +++ netpbm-10.28/editor/ppmfade 2005-06-10 09:02:04.545046352 +0200
@@ -1058,8 +1058,11 @@ GetRemoteFrame(MpegFrame * const frameP,
int numBytes; /* Number of data bytes in message */
FILE * filePtr;
char fileName[256];
+#define TMPFILE_TEMPLATE "/tmp/ppmtompeg.XXXXXX"
- sprintf(fileName, "/tmp/foobar%d", machineNumber);
+ strcpy(fileName, TMPFILE_TEMPLATE);
+ if (-1 == mkstemp(fileName))
+ pm_error( "could not create temporary convolution file");
filePtr = fopen(fileName, "wb");
/* read in stuff, write to file, perform local conversion */
--- netpbm-10.27/editor/ppmfade.security2 2005-03-16 22:10:39.000000000 +0100
+++ netpbm-10.27/editor/ppmfade 2005-03-29 14:29:07.975141112 +0200
@@ -14,6 +14,7 @@ @@ -14,6 +14,7 @@
# #
#-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=- #-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
@ -312,8 +297,8 @@
exit(0); exit(0);
--- netpbm-10.27/editor/ppmquantall.security2 2005-03-17 00:44:03.000000000 +0100 --- netpbm-10.28/editor/ppmquantall.security2 2005-03-17 00:44:03.000000000 +0100
+++ netpbm-10.27/editor/ppmquantall 2005-03-29 14:03:43.441905392 +0200 +++ netpbm-10.28/editor/ppmquantall 2005-06-10 09:02:04.547046048 +0200
@@ -63,13 +63,8 @@ for i in ${files[@]}; do @@ -63,13 +63,8 @@ for i in ${files[@]}; do
heights=(${heights[*]} `grep -v '^#' $i | sed '1d; s/.* //; 2q'`) heights=(${heights[*]} `grep -v '^#' $i | sed '1d; s/.* //; 2q'`)
done done
@ -330,8 +315,8 @@
pnmcat -topbottom -jleft -white ${files[@]} | pnmquant $newcolors > $all pnmcat -topbottom -jleft -white ${files[@]} | pnmquant $newcolors > $all
if [ $? != 0 ]; then if [ $? != 0 ]; then
--- netpbm-10.27/editor/pnmmargin.security2 2003-12-31 05:01:26.000000000 +0100 --- netpbm-10.28/editor/pnmmargin.security2 2003-12-31 05:01:26.000000000 +0100
+++ netpbm-10.27/editor/pnmmargin 2005-03-29 14:03:43.442905240 +0200 +++ netpbm-10.28/editor/pnmmargin 2005-06-10 09:02:04.549045744 +0200
@@ -11,16 +11,11 @@ @@ -11,16 +11,11 @@
# documentation. This software is provided "as is" without express or # documentation. This software is provided "as is" without express or
# implied warranty. # implied warranty.
@ -402,8 +387,8 @@
+if [ -d "$tmpdir" ]; then +if [ -d "$tmpdir" ]; then
+ rm -rf "$tmpdir" + rm -rf "$tmpdir"
+fi +fi
--- netpbm-10.27/editor/pamstretch-gen.security2 2004-07-25 02:01:24.000000000 +0200 --- netpbm-10.28/editor/pamstretch-gen.security2 2004-07-25 02:01:24.000000000 +0200
+++ netpbm-10.27/editor/pamstretch-gen 2005-03-29 14:03:43.443905088 +0200 +++ netpbm-10.28/editor/pamstretch-gen 2005-06-10 09:02:04.550045592 +0200
@@ -31,10 +31,7 @@ if [ "$1" = "" ]; then @@ -31,10 +31,7 @@ if [ "$1" = "" ]; then
exit 1 exit 1
fi fi
@ -416,18 +401,18 @@
trap 'rm -rf $tempdir' 0 1 3 15 trap 'rm -rf $tempdir' 0 1 3 15
--- netpbm-10.27/editor/ppmshadow.security2 2005-03-16 22:10:25.000000000 +0100 --- netpbm-10.28/editor/ppmshadow.security2 2005-04-23 23:16:16.000000000 +0200
+++ netpbm-10.27/editor/ppmshadow 2005-03-29 14:03:43.447904480 +0200 +++ netpbm-10.28/editor/ppmshadow 2005-06-10 09:37:19.253561792 +0200
@@ -27,9 +27,10 @@ use strict; @@ -72,9 +72,10 @@ sub makeConvolutionKernel($$) {
my $true=1; my $false=0;
my $tmpdir = $ENV{TMPDIR} || "/tmp"; my $tmpdir = $ENV{TMPDIR} || "/tmp";
-my $ourtmp = "$tmpdir/ppmshadow$$"; -my $ourtmp = "$tmpdir/ppmshadow$$";
-mkdir($ourtmp) or -mkdir($ourtmp, 0777) or
- die("Unable to create directory for temporary files '$ourtmp"); - die("Unable to create directory for temporary files '$ourtmp");
+chomp($ourtmp = `mktemp -d -t PPMshadow.XXXXXX`); +chomp($ourtmp = `mktemp -d -t PPMshadow.XXXXXX`);
+if ($? >> 8) { +if ($? >> 8) {
+ die "Can't create tmpdir"; + die "Can't create directory for temporary files";
+} +}
# Process command line options # Process command line options

File diff suppressed because it is too large Load Diff

View File

@ -1,12 +1,13 @@
Summary: A library for handling different graphics file formats. Summary: A library for handling different graphics file formats.
Name: netpbm Name: netpbm
Version: 10.27 Version: 10.28
Release: 4 Release: 1
License: freeware License: freeware
Group: System Environment/Libraries Group: System Environment/Libraries
URL: http://netpbm.sourceforge.net/ URL: http://netpbm.sourceforge.net/
Source0: netpbm-%{version}.tar.bz2 Source0: netpbm-%{version}.tar.bz2
Source1: netpbmdoc-%{version}.tar.bz2 Source1: netpbmdoc-%{version}.tar.bz2
Patch0: netpbm-10.28-legal.patch
Patch1: netpbm-10.17-time.patch Patch1: netpbm-10.17-time.patch
Patch2: netpbm-9.24-strip.patch Patch2: netpbm-9.24-strip.patch
Patch3: netpbm-10.18-manpath.patch Patch3: netpbm-10.18-manpath.patch
@ -14,14 +15,12 @@ Patch4: netpbm-10.19-message.patch
Patch5: netpbm-10.22-security2.patch Patch5: netpbm-10.22-security2.patch
Patch6: netpbm-10.22-cmapsize.patch Patch6: netpbm-10.22-cmapsize.patch
Patch7: netpbm-10.23-security.patch Patch7: netpbm-10.23-security.patch
Patch8: netpbm-10.23-pngtopnm.patch Patch8: netpbm-10.24-nodoc.patch
Patch9: netpbm-10.24-nodoc.patch Patch9: netpbm-10.26-4-gcc4.patch
Patch10: netpbm-10.26.4-gcc4.patch Patch10: netpbm-10.27-badlink.patch
Patch11: netpbm-10.27-badlink.patch Patch11: netpbm-10.27-bmptopnm.patch
Patch12: netpbm-10.27-bmptopnm.patch Patch12: netpbm-10.27-libpm.patch
Patch13: netpbm-10.27-libpm.patch Patch13: netpbm-10.27-pnmtojpeg.patch
Patch14: netpbm-10.27-pnmtojpeg.patch
Patch15: netpbm-10.27-pnmcolormap.patch
Buildroot: %{_tmppath}/%{name}-root Buildroot: %{_tmppath}/%{name}-root
BuildPrereq: libjpeg-devel, libpng-devel, libtiff-devel, perl BuildPrereq: libjpeg-devel, libpng-devel, libtiff-devel, perl
Obsoletes: libgr Obsoletes: libgr
@ -65,6 +64,7 @@ netpbm-progs. You'll also need to install the netpbm package.
%prep %prep
%setup -q %setup -q
%patch0 -p1 -b .legal
%patch1 -p1 -b .time %patch1 -p1 -b .time
%patch2 -p1 -b .strip %patch2 -p1 -b .strip
%patch3 -p1 -b .manpath %patch3 -p1 -b .manpath
@ -72,14 +72,12 @@ netpbm-progs. You'll also need to install the netpbm package.
%patch5 -p1 -b .security2 %patch5 -p1 -b .security2
%patch6 -p1 -b .cmapsize %patch6 -p1 -b .cmapsize
%patch7 -p1 -b .security %patch7 -p1 -b .security
%patch8 -p1 -b .pngtopnm %patch8 -p1 -b .nodoc
%patch9 -p1 -b .nodoc %patch9 -p1 -b .gcc4
%patch10 -p1 -b .gcc4 %patch10 -p1 -b .badlink
%patch11 -p1 -b .badlink %patch11 -p1 -b .bmptopnm
%patch12 -p1 -b .bmptopnm %patch12 -p1 -b .libpm
%patch13 -p1 -b .libpm %patch13 -p1 -b .pnmtojpeg
%patch14 -p1 -b .pnmtojpeg
%patch15 -p1 -b .pnmcolormap
##mv shhopt/shhopt.h shhopt/pbmshhopt.h ##mv shhopt/shhopt.h shhopt/pbmshhopt.h
##perl -pi -e 's|shhopt.h|pbmshhopt.h|g' `find -name "*.c" -o -name "*.h"` ./GNUmakefile ##perl -pi -e 's|shhopt.h|pbmshhopt.h|g' `find -name "*.c" -o -name "*.h"` ./GNUmakefile
@ -177,6 +175,12 @@ rm -rf $RPM_BUILD_ROOT/usr/config_template
%{_mandir}/man5/* %{_mandir}/man5/*
%changelog %changelog
* Fri Jun 10 2005 Jindrich Novy <jnovy@redhat.com> 10.28-1
- update to 10.28
- regenerated man pages
- sync .security, .security2, .badlink, .libpm, .gcc4 patches
- drop upstreamed .pngtopnm, .pnmcolormap patches
* Tue May 31 2005 Jindrich Novy <jnovy@redhat.com> 10.27-4 * Tue May 31 2005 Jindrich Novy <jnovy@redhat.com> 10.27-4
- fix segfault in pnmcolormap what makes latex2html/ppmquant - fix segfault in pnmcolormap what makes latex2html/ppmquant
unusable (#158665, #139111) unusable (#158665, #139111)

View File

@ -1,2 +1,2 @@
9075c0f45df08c54e7b8834e236e4bcc netpbm-10.27.tar.bz2 f1b766be9e0ba2470f762ee0717b834f netpbm-10.28.tar.bz2
f28dd0bcf678de96764c35bc0badfacd netpbmdoc-10.27.tar.bz2 41f281d183afded0118f2fde2b8b79f1 netpbmdoc-10.28.tar.bz2